Package: org.grails.exceptions.reporting

## [Groovy] Interface StackTracePrinter

-     interface StackTracePrinter

  Defines method for pretty printing Stack traces.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `abstract java.lang.String` | `prettyPrint(java.lang.Throwable throwable)` Pretty print the given stack trace and return the result

- - ### Method Detail

    - #### abstract java.lang.String prettyPrint(java.lang.Throwable throwable)

      Pretty print the given stack trace and return the result

      Parameters:
        `throwable` - The throwable
      Returns:
        The result